import { ref as r, openBlock as g, createElementBlock as f, Fragment as v, createElementVNode as s, renderSlot as a } from "vue";
import { u as d } from "./DashboardPlugin-2e4f6b9c.js";
const p = { class: "content-header stick-to-top tw-flex tw-flex-row tw-items-center tw-justify-between tw-h-10 tw-p-1" }, w = { class: "fill" }, b = ["src"], _ = ["src"], k = ["src"], I = ["src"], S = ["src"], $ = ["src"], C = ["src"], N = {
  __name: "SubjectNav",
  emits: ["setTitle"],
  setup(j, { emit: c }) {
    const u = d();
    c("setTitle", "Navigate by Subject");
    const m = r("./imgs/filter.png"), l = r("./imgs/sub1.png"), i = r("./imgs/sub2.png");
    function e(o) {
      u.openWidget("ImageSelector", [{ key: "imageSrc", value: o }]);
    }
    return (o, t) => (g(), f(v, null, [
      s("div", p, [
        a(o.$slots, "default")
      ]),
      s("div", w, [
        s("img", { src: m.value }, null, 8, b)
      ]),
      s("div", {
        onClick: t[0] || (t[0] = (n) => e("./imgs/subInfo2.png")),
        class: "w-80 fill"
      }, [
        s("img", { src: l.value }, null, 8, _)
      ]),
      s("div", {
        onClick: t[1] || (t[1] = (n) => e("./imgs/subInfo.png")),
        class: "w-80 fill"
      }, [
        s("img", { src: i.value }, null, 8, k)
      ]),
      s("div", {
        onClick: t[2] || (t[2] = (n) => e("./imgs/subInfo2.png")),
        class: "w-80 fill"
      }, [
        s("img", { src: l.value }, null, 8, I)
      ]),
      s("div", {
        onClick: t[3] || (t[3] = (n) => e("./imgs/subInfo.png")),
        class: "w-80 fill"
      }, [
        s("img", { src: i.value }, null, 8, S)
      ]),
      s("div", {
        onClick: t[4] || (t[4] = (n) => e("./imgs/subInfo2.png")),
        class: "w-80 fill"
      }, [
        s("img", { src: l.value }, null, 8, $)
      ]),
      s("div", {
        onClick: t[5] || (t[5] = (n) => e("./imgs/subInfo.png")),
        class: "w-80 fill"
      }, [
        s("img", { src: i.value }, null, 8, C)
      ])
    ], 64));
  }
};
export {
  N as default
};
